Package oracle.jdbc.pool

## Class OracleShardingKeyImpl.Decoder

- java.lang.Object
- - oracle.jdbc.pool.OracleShardingKeyImpl.Decoder

Enclosing class:
  OracleShardingKeyImpl

    public static class OracleShardingKeyImpl.Decoder
    extends java.lang.Object

This class is used to decode the sharding keys that are stored in the DB tables using the standard Base 64 notation

### Constructor Summary

Constructors
`Decoder​(ShardingMetadata metadata)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<OracleShardingKeyImpl>` `buildShardKeys​(java.util.List<byte[]> subKeysByteArr, boolean isSuperShardingKey, boolean isHighKey)` Builds the sharding keys given the decodes byte[] representing the sharding keys

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Decoder

    public Decoder​(ShardingMetadata metadata)

Parameters:
  `metadata` - used to decode the B64 formatted sharding keys the constructor will throw an IllegalArgumentException if metadata is null

### Method Detail

#### buildShardKeys

    public java.util.List<OracleShardingKeyImpl> buildShardKeys​(java.util.List<byte[]> subKeysByteArr,
                                                                boolean isSuperShardingKey,
                                                                boolean isHighKey)
                                                         throws java.sql.SQLException

Builds the sharding keys given the decodes byte[] representing the sharding keys

Parameters:
  `subKeysByteArr` -
  `isSuperShardingKey` -
Returns:
Throws:
  `java.sql.SQLException`